html {
  scroll-behavior: smooth;
}

body {
  margin: 0 auto;
  font-family: 'Open Sans', sans-serif;
  box-sizing: border-box;
  background-color:hsl(0, 0%, 98%);
}

#home, #xp, #infoComp {
background-color:#02b4a2;
}

#tech, #grade, #contact {
  background-color:hsl(0, 0%, 98%);
}

h1 {
  text-align: center;
  color: white;

}

h2 {
  text-align:center;
}

h3 {
  text-align: center;
  color: white;
}
/* //Page1 */
.profil {
  width: 260px;
  display: block;
  border-radius: 50%;
  margin-left: auto;
  margin-right: auto;
  border: 2px solid white;
  box-shadow: 15px 15px 15px rgba(0, 0, 0, 0.767);
  -webkit-transform: scale(1);
	transform: scale(1);
	-webkit-transition: .3s ease-in-out;
  transition: .3s ease-in-out;
  cursor: default;
}

.profil:hover {
  -webkit-transform: scale(1.1);
  transform: scale(1.1);
  cursor: default;
}

.fab,.fas {
  /* icones réseaux */
  text-decoration: none;
  color: white;
  font-size: 40px;
  -webkit-transform: scale(1);
	transform: scale(1);
	-webkit-transition: .3s ease-in-out;
	transition: .3s ease-in-out;
}

.fab:hover, .fas:hover {
  -webkit-transform: scale(1.5);
  transform: scale(1.5);
}
.homePage {
  min-height: 100vh;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
}
/* progress bar home page */
 
.meter { 
  height: 5px;
  position: relative;
  background: rgba(255, 255, 255, 0);
  overflow: hidden;
  border: none;
}
 
.meter span {
  display: block;
  height: 60%;

}
 
.prog {
  background-color: white;
  -webkit-animation: progressBar 3s ease-in-out;
  -webkit-animation-fill-mode:both; 
  -moz-animation: progressBar 3s ease-in-out;
  -moz-animation-fill-mode:both; 
}
 
@-webkit-keyframes progressBar {
0% { width: 0; }
100% { width: 100%; }
}
 
@-moz-keyframes progressBar {
0% { width: 0; }
100% { width: 100%; }
}
.menu{
  position: fixed;
  z-index: 4;
  top: 10vh;
  left:-2px;
  align-self:flex-start;
}
  
.menuLink {
  animation:scroll;
  transition:1s;
}

.btnMenu{
  transition: 0.5s ease;
  font-size: 1.4rem;
  background-color: #ff7900;
  width: intrinsic;           /* Safari/WebKit uses a non-standard name */
  width: -moz-max-content;    /* Firefox/Gecko */
  width: -webkit-max-content; /* Chrome */
  padding: 4px;
  box-shadow: 10px 10px 5px 0px rgba(0, 0, 0, 0.493);
  -webkit-box-shadow: 4px 5px 5px 3px rgba(0,0,0,0.5);
  -moz-box-shadow: 10px 10px 5px 0px rgba(0, 0, 0, 0.493);
}
a{
  text-decoration: none; 
}
.btn1{
  transform : rotate(-2deg);
}
.btn2{
  transform : rotate(-5deg);
}
.btn3{
  transform : rotate(4deg);
}
.btn4{
  transform : rotate(3deg);
}
.btnMenu:hover{
   transform : rotate(0deg);
   -webkit-transition: width 1s ease-in-out;
    -moz-transition: width 1s ease-in-out;
    -o-transition: width 1s ease-in-out;
    transition: width 1s ease-in-out;
    width:25vh;
}

#particles-js {
  width: 90vw;
  height: 70vh;
  position: absolute;
  z-index: 0;
  margin: auto;
  top: 0;
  right: 0;
  bottom: 30vh;
  left: 0;
  border: 2px solid white;
  cursor: pointer;
}
.posteNom {
  margin-top: 20vh;
  z-index: 1;
  align-self: center;
  justify-self: flex-start;
}
.profilPic {
  z-index: 3;
  justify-self: flex-end;
  margin-top: 19vh;
}
.quoteReseaux {
  z-index: 3;
  display: flex;
  justify-content: space-around;
  height: 18vh;
  flex-basis: 100%;
}
.quote{
    align-content: center;
    flex-basis: 36%;
    font-style: italic;
}
.homeQuote {
  font-weight:normal;
}

.reseaux{
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  text-align: center;
    align-content: center;
    flex-basis: 36%;
}
/* Page2 */
.technos {
  min-height: 100vh;
}
/* soft skills */

.softSkills{
  margin-top: 5vh;
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  margin-left:3vh;
  line-height: 3rem;
}

/* hard skills */

.hardSkill {
  margin-top: 5vh;
  display: flex;
  justify-content: space-evenly;
  line-height: 3rem;
}

.hard, .skill, .soft, .skills {
  color:black;
  list-style-type: none;
  font-size:1.2em;
  }

  

  /* Nuage de mots */
  .mobileTech ul {
    list-style: none;
   
  }
  .mobileTech{
    display: none;
    
  }
  .mobileTech li {
    float: left;
  }
  .mobileTech ul li  {
    text-decoration: none;
    line-height: 1em;
    font-size: 10px;
    font-weight:bold ;
  }
  .size1 {
    
    padding: 10px;
    font-size: 400%;
  }
    
  
  .size2 {
    
    padding: 12px;
    font-size: 350%;
  }
  .size3 {
    
    padding: 13px;
    font-size: 200%;
  }
  .size4 {
    
    padding: 8px;
    font-size: 225%;
  }
  .size5 {
    
    padding: 15px;
    font-size: 130%;
  }	
  .size6 {
    font-size: 150%;
    padding: 17px;
  }
  .size7 {
    font-size: 150%;
    padding: 5px;
    margin-left: 1vh;
    margin-top: 1vh;
  }

/* anim words hover */

.animTech {
  margin-bottom: 25vh;
}

/* layout of the columns */

.cols {
  width: 100%;
  clear: both;
  font-weight: 700;
}

.cols .tile {
  height: 100%;
  float: left;
  overflow: hidden;
  margin-top:8vh;
}

/* two columns layout */

.cols.two .tile {
  width: 50%;
}


/* three columns layout */

.cols.three .tile {
  width: 33%;
}

.cols.three .tile:last-of-type {
  width: 34%;
}


/* four columns layout */

.cols.four .tile {
  width: 25%;
}


/**********************/


/* layout of the rows */

.rows {
  height: 100%;
}


/* two rows layout */

.rows.two .cols {
  height: 50%;
}


/* three rows layout */

.rows.three .cols {
  height: 33%;
}

.rows.three .cols:last-of-type {
  height: 34%;
}


/* four rows layout */

.rows.four .cols {
  height: 25%;
}


/*****************************************/


/* some background images and decoration */

.cols .tile {
  opacity: 0.6;
  background-size: cover;
}

.rows {
  background: rgba(0, 0, 0, 0);
}

.cols .tile.schmancy {
  background-position: 50% 50%;
  background-repeat: no-repeat;
}

/************************************/


/* typography and content of a tile */

.tile .content {
  position: relative;
  top: 50%;
  left: 50%;
  width: 50%;
  margin-left: -25%;
}

.tile {
  font-family: Helvetica;
  color: black;
  font-size:1.2em;
}


/************************/


/* animate mouse effect */

.cols .tile {
  transition: 1s;
}

/* tile hover */

.cols .html:hover {
  opacity: 1;
  font-size: 8em;
  font-weight: 700;
}

.cols .css:hover {
  opacity: 1;
  font-size: 8em;
  font-weight: 700;
}

.cols .php:hover {
  opacity: 1;
  font-size: 7em;
  font-weight: 700;
}

.cols .js:hover {
  opacity: 1;
  font-size: 7em;
  font-weight: 700;
}

.cols .react:hover {
  opacity: 1;
  font-size: 5em;
  font-weight: 700;
}

.cols .symfony:hover {
  opacity: 1;
  font-size: 4.5em;
  font-weight: 700;
}

.cols .jquery:hover {
  opacity: 1;
  font-size: 6em;
  font-weight: 700;
}

.cols .bootstrap:hover {
  opacity: 1;
  font-size: 6em;
  font-weight: 700;
}

.cols .mysql:hover {
  opacity: 1;
  font-size: 5em;
  font-weight: 700;
}

.cols .java:hover {
  opacity: 1;
  font-size: 2em;
  font-weight: 700;
}

.cols .csharp:hover {
  opacity: 1;
  font-size: 2em;
  font-weight: 700;
}

.cols .mariadb:hover {
  opacity: 1;
  font-size: 4.5em;
  font-weight: 700;
}

.cols .angular:hover {
  opacity: 1;
  font-size: 3em;
  font-weight: 700;
}

.cols .python:hover {
  opacity: 1;
  font-size: 5em;
  font-weight: 700;
}

.cols.two:hover .tile {
  width: 20%;
}

.cols.two:hover .tile:hover {
  width: 80%;
}

.cols.three:hover .tile {
  width: 20%;
}

.cols.three:hover .tile:hover {
  width: 60%;
}

.cols.four:hover .tile {
  width: 20%;
}

.cols.four:hover .tile:hover {
  width: 40%;
}

.rows .cols {
  transition: 1s;
}

.rows.two:hover .cols {
  height: 20%;
}

.rows.two:hover .cols:hover {
  height: 80%;
}

.rows.three:hover .cols {
  height: 20%;
}

.rows.three:hover .cols:hover {
  height: 60%;
}

.rows.four:hover .cols {
  height: 20%;
}

.rows.four:hover .cols:hover {
  height: 40%;
}

/* progress bars */

.progress {
  background: rgba(255,255,255,0.1);
  justify-content: flex-start;
  border-radius: 100px;
  align-items: center;
  position: relative;
  padding: 0 5px;
  display: flex;
  height: 40px;
  width: 500px;
}

.progress-value {
  animation: load 3s normal forwards;
  box-shadow: 0 10px 40px -10px #fff;
  border-radius: 100px;
  background: #fff;
  height: 30px;
  width: 0;
}

@keyframes load {
  0% { width: 0; }
  100% { width: 100%; }
}

.progress2 {
  background: rgba(255,255,255,0.1);
  justify-content: flex-start;
  border-radius: 100px;
  align-items: center;
  position: relative;
  padding: 0 5px;
  display: flex;
  height: 40px;
  width: 500px;
}

.progress-value2 {
  animation: load2 3s normal forwards;
  box-shadow: 0 10px 40px -10px #fff;
  border-radius: 100px;
  background: #fff;
  height: 30px;
  width: 0;
}

@keyframes load2 {
  0% { width: 0; }
  100% { width: 65%; }
}

.progress3 {
  background: rgba(255,255,255,0.1);
  justify-content: flex-start;
  border-radius: 100px;
  align-items: center;
  position: relative;
  padding: 0 5px;
  display: flex;
  height: 40px;
  width: 500px;
}

.progress-value3 {
  animation: load3 3s normal forwards;
  box-shadow: 0 10px 40px -10px #fff;
  border-radius: 100px;
  background: #fff;
  height: 30px;
  width: 0;
}

@keyframes load3 {
  0% { width: 0; }
  100% { width: 35%; }
}

.progress4 {
  background: rgba(255,255,255,0.1);
  justify-content: flex-start;
  border-radius: 100px;
  align-items: center;
  position: relative;
  padding: 0 5px;
  display: flex;
  height: 40px;
  width: 500px;
}

.progress-value4 {
  animation: load4 3s normal forwards;
  box-shadow: 0 10px 40px -10px #fff;
  border-radius: 100px;
  background: #fff;
  height: 30px;
  width: 0;
}

@keyframes load4 {
  0% { width: 0; }
  100% { width: 20%; }
}

.progress5 {
  background: rgba(255,255,255,0.1);
  justify-content: flex-start;
  border-radius: 100px;
  align-items: center;
  position: relative;
  padding: 0 5px;
  display: flex;
  height: 40px;
  width: 500px;
}

.progress-value5 {
  animation: load5 3s normal forwards;
  box-shadow: 0 10px 40px -10px #fff;
  border-radius: 100px;
  background: #fff;
  height: 30px;
  width: 0;
}

@keyframes load5 {
  0% { width: 0; }
  100% { width: 70%; }
}

.progress6 {
  background: rgba(255,255,255,0.1);
  justify-content: flex-start;
  border-radius: 100px;
  align-items: center;
  position: relative;
  padding: 0 5px;
  display: flex;
  height: 40px;
  width: 500px;
}

.progress-value6 {
  animation: load6 3s normal forwards;
  box-shadow: 0 10px 40px -10px #fff;
  border-radius: 100px;
  background: #fff;
  height: 30px;
  width: 0;
}

@keyframes load6 {
  0% { width: 0; }
  100% { width: 50%; }
}

.language {
  display:flex;
  flex-direction: column;
  align-items: center;
}

.lang,.compAnn {
  margin-bottom: 5vh;
  margin-top:5vh;
}
/* Page3 */

.experiences {
  min-height: 100vh;
}

.xpT {
  margin-bottom: 5vh;
}

.gT {
  margin-bottom: 5vh;
  color:#02b4a2;
}
/* Page4 */
.graduation {
  min-height: 100vh;
}
/* Page5 */
.hobby {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  /* justify-content:space-around; */
  align-items: center;
}

.margT {
padding-top:5vh;
margin-bottom:6vh;
}

.margX {
padding-top: 10vh;
}

.curiousQuote{
  text-align: center;
  margin: 1vh 0 2vh 0 ;
  margin-top:5vh;
}
.interetsTitle{
  margin-top: 3vh;
}
.interestList{
  display: flex;
  flex-direction: row;
  margin-top:3vh;
  margin-bottom:8vh;
  
}
.intL{
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  margin:0 auto;
  margin-right:25vh;
}
.intG{
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  margin:0 auto;
}

.hob {
  /* icones réseaux */
  text-decoration: none;
  color: white;
  -webkit-transform: scale(1);
	transform: scale(1);
	-webkit-transition: .3s ease-in-out;
	transition: .3s ease-in-out;

}

.owl-carousel {
  margin-top:5vh;
  margin-bottom:5vh;
}

.hob:hover {
  -webkit-transform: scale(1.5);
  transform: scale(1.5);
}
/* Page6 */
.contact {
  min-height: 100vh;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
}

.reseaux2{
  display: flex;
  align-items:flex-start;
  flex-direction: column;
  justify-content: space-evenly;
  text-align: center;
  align-content: center;
  flex-basis: 30%;
  margin-top:2vh;
  margin-bottom:1vh;
}

.input {
  border: 1px solid  rgba(0,0,0,0.75);
  border-radius:5px;
}
 
.formcont {
  background-color: rgba(255, 255, 255, 0.747);
  width: 280px;
  margin: 0 auto;
  box-shadow: 0px 0px 50px -6px rgba(0,0,0,0.75);
  margin-top:3vh;
  text-align: center;
  padding:2vh;
}

.align{
  display: flex;
  align-items: center;
  margin-bottom: 1vh;
  width: 100%;
}
.labelReseaux{
  width: 10vh;
  align-self: flex-start;
}

#button {
  background-color: #02b4a2;
  border-radius: 10px;
  width: 100px;
  height: 50px;
  font-size: 20px;
  border:none;
  transition: 0.5s;
}

#button:hover {
  background-color: #02b4a2b4;
  -webkit-transform: scale(0.8);
	transform: scale(0.8);
	-webkit-transition: .5s ease-in-out;
	transition: .5s ease-in-out;
  border: none;
  cursor: pointer;
}

#button:active {
  background-color: #02b4a2;
  -webkit-transform: scale(1);
  transform: scale(1);
  transition: .1s ease-in-out;
}

textarea {
  max-width: 95%;
}
/* timeline */
.container {
  max-width: 1024px;
  width: 90%;
  margin: 0 auto;
}

.timeline-item {
  padding: 3em 2em 2em;
  position: relative;
  color: rgba(0, 0, 0, 0.7);
  border-left: 2px solid white;
}
.timeline-item p {
  font-size: 1rem;
}
.timeline-item::before {
  content: attr(date-is);
  position: absolute;
  left: 2em;
  font-weight: bold;
  top: 1em;
  display: block;
  font-family: 'Roboto', sans-serif;
  font-weight: 700;
  font-size: .785rem;
}
.timeline-item::after {
  width: 10px;
  height: 10px;
  display: block;
  top: 1em;
  position: absolute;
  left: -7px;
  border-radius: 10px;
  content: '';
  border: 2px solid rgba(0, 0, 0, 0.3);
  background: white;
}
.timeline-item:last-child {
  -o-border-image: linear-gradient(to bottom,white 60%, transparent) 1 100%;
   border-image: -webkit-linear-gradient(top,white 60%, transparent) 1 100%;
     border-image: linear-gradient(to bottom,white 60%, transparent) 1 100%;
}

.timeline-item1 {
  padding: 3em 2em 2em;
  position: relative;
  color: rgba(0, 0, 0, 0.7);
  border-left: 2px solid rgba(0, 0, 0, 0.3);
}
.timeline-item1 p {
  font-size: 1rem;
}
.timeline-item1::before {
  content: attr(date-is);
  position: absolute;
  left: 2em;
  font-weight: bold;
  top: 1em;
  display: block;
  font-family: 'Roboto', sans-serif;
  font-weight: 700;
  font-size: .785rem;
}
.timeline-item1::after {
  width: 10px;
  height: 10px;
  display: block;
  top: 1em;
  position: absolute;
  left: -7px;
  border-radius: 10px;
  content: '';
  border: 2px solid rgba(0, 0, 0, 0.3);
  background: white;
}
.timeline-item1:last-child {
  -o-border-image: linear-gradient(to bottom, rgba(0, 0, 0, 0.3) 60%, transparent) 1 100%;
   border-image: -webkit-linear-gradient(top, rgba(0, 0, 0, 0.3) 60%, transparent) 1 100%;
     border-image: linear-gradient(to bottom, rgba(0, 0, 0, 0.3) 60%, transparent) 1 100%;
}


@media (min-width: 768px)  {
.ham {
  display: none;
}
.menuHidden {
  display:none;
}
}

/* mobile */
@media (max-width: 768px)  {

.ham {
  position: fixed;
  z-index: 1000;
  top: 20px;
  right: 20px;
  width: 36px;
  height: 36px;
  border: none;
  cursor: pointer;
  background-color: transparent;
  background-image: url("img/ham.png");
  background-size: 100%;
}

.showClose {
  background-image: url("img/ham-close.png");
}

.navbar {
  position: fixed;
  z-index: 999;
  top: 0;
  left: 0;
  background: black;
  width: 100vw;
  height: 50vh;
  overflow: hidden;
  color: white;
  transform: translateY(-100%);
  transition: transform 0.2s ease;
}

.showNav {
  transform: translateY(0);
}

.navbar ul {
  width: 100%;
  height: 100%;
  list-style: none;
  display: flex;
  flex-flow: column nowrap;
  justify-content: space-evenly;
  align-items: center;
}

.navbar ul li a {
  color: white;
  padding-bottom: 10px;
  border-bottom: 2px solid black;
  text-decoration: none;
  font-family: 'Open Sans', sans-serif;
  font-size: 1.2rem;
}

.navbar ul li a:hover, .navbar ul li a:focus {
  border-bottom: 2px solid white;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

.menu {
  display: none;
}

.progress2, .progress3, .progress4 , .progress5 , .progress6 , .progress{
  height: 40px;
  width: 250px;
}
  /* 
  PREMIERE PAGE
 */

.profil {
  position: absolute;
  top: 10vh;
  left: 0;
  right: 0;
  width: 200px; 
}
.posteNom {
  margin-top: 40vh; 
}
.reseaux{
  display: flex;
  flex-direction: column;
    flex-basis: 10%;
}
.quote{
  align-content: center;
  flex-basis: 75%;
  font-size: smaller;
  margin-bottom:2vh;
}
.quoteReseaux {
  z-index: 3;
  display: flex;
  flex-basis: 100%;
}
.meter { 
  height: 5px;
  width:90%;
  position: relative;
  background: rgba(255, 255, 255, 0);
  overflow: hidden;
  border: none;
} 
.meter span {
  margin-left: 2vh;
  display: block;
  height: 60%;
}
/* technos */
.mobileTech{
  display: flex;
  justify-content: center;
  margin: 3vh 5vh 2vh 5vh;
  color: #495057
}

.margX {
  padding-top:5vh;
}

.margC {
  margin-bottom:3vh;
}

.animTech{
  display: none;
}
/* COMPETENCE */
.hardSkill {
  margin-top: 5vh;
  display: flex;
  flex-direction: column;
  margin-left:3vh; 
}
.fab,.fas {
  margin-left:2.5vh;
  margin-right:2.5vh;
}
/* INFO */
.intL{
  margin-right: 2vh;
}
/* CONTACTS */
.contact {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
}
.formcont {
  margin-bottom: 2vh;
}

.gap {
  margin-bottom: 3vh;
  margin-top: 3vh;
}

.softSkills{
  margin-top: 5vh;
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  line-height: 3rem;
  margin-left:-2vh;
}

.hardSkill {
  margin-left:1vh;
}

}
/* chevrons devant comp */

.fa-angle-double-right {
  color:#02b4a2;
  font-size:1em;
  transform: scale(1);
  -webkit-transform: scale(1);
  transition: .3s ease-in-out;
  -webkit-transition: .3s ease-in-out;
}

.fa-angle-double-right:hover {
  transform: scale(1.2);
  -webkit-transform: scale(1.2);
  transition: .3s ease-in-out;
  -webkit-transition: .3s ease-in-out;
}

.white {
  color:white;
}